require 'oo'
Star=class()
function Star:ctor(r2,r1,speed,father)
  Star.r1 = r1 --orbit radius
  Star.r2 = r2 --sphere radius
  Star.color ={255,0,0}
  Star.speed = speed
  Star.x =0
  Star.y =0
  Star.father = father

end
function Star:update(d)
if self.r1 == 0 then

  self.x=400
  self.y=300
else
    local a=d/180*math.pi
    self.x=self.r1*math.cos(self.speed*a)+self.father.x
    self.y=self.r1*math.sin(self.speed*a)+self.father.y
end
end


function Star:draw()
  if self.r1==0 then
  love.graphics.setColor(self.color)
  love.graphics.circle( "fill", self.x, self.y, self.r2, 100 )
  else
  --no orbit draw star
  --draw orbit
  love.graphics.setColor(50, 50, 100)
  love.graphics.circle( "line", self.father.x, self.father.y, 100, 100 )
  --draw star
  love.graphics.setColor(self.color)
  love.graphics.circle( "fill", self.x, self.y, self.r2, 100 )

  end
end
